Index: DCWoRMS/branches/coolemall/src/dcworms/schedframe/scheduling/utils/ApplicationProfileDescription.java
===================================================================
--- DCWoRMS/branches/coolemall/src/dcworms/schedframe/scheduling/utils/ApplicationProfileDescription.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/dcworms/schedframe/scheduling/utils/ApplicationProfileDescription.java	(revision 1207)
@@ -0,0 +1,53 @@
+package dcworms.schedframe.scheduling.utils;
+
+import java.io.StringReader;
+
+import org.exolab.castor.xml.MarshalException;
+import org.exolab.castor.xml.ResolverException;
+import org.exolab.castor.xml.Unmarshaller;
+import org.exolab.castor.xml.ValidationException;
+import org.exolab.castor.xml.XMLContext;
+
+import schedframe.DescriptionContainer;
+
+public class ApplicationProfileDescription implements DescriptionContainer<org.qcg.broker.schemas.jobdesc.Task>{
+
+	private static final long serialVersionUID = 7853990656207447619L;
+	protected static Unmarshaller unmarshaller;
+	static {
+		XMLContext context = new XMLContext();
+		try {
+			context.addClass(org.qcg.broker.schemas.jobdesc.Job.class);
+			unmarshaller = context.createUnmarshaller();
+		} catch (ResolverException e) {
+			e.printStackTrace();
+			unmarshaller = null;
+		}
+	}
+	
+	protected String xml;
+	protected org.qcg.broker.schemas.jobdesc.Job app;
+	
+	public ApplicationProfileDescription(String xmlJobDesc){
+		xml = xmlJobDesc;
+	}
+
+
+	public org.qcg.broker.schemas.jobdesc.Task getDescription() {
+		if(app == null){
+			try {
+				app = (org.qcg.broker.schemas.jobdesc.Job) unmarshaller.unmarshal(new StringReader(xml));
+			} catch (MarshalException e) {
+				e.printStackTrace();
+			} catch (ValidationException e) {
+				e.printStackTrace();
+			}
+		}
+		return app.getTask(0);
+	}
+
+	public String getDocument() throws Exception {
+		return xml;
+	}
+
+}
Index: DCWoRMS/branches/coolemall/src/dcworms/schedframe/scheduling/Executable.java
===================================================================
--- DCWoRMS/branches/coolemall/src/dcworms/schedframe/scheduling/Executable.java	(revision 1157)
+++ DCWoRMS/branches/coolemall/src/dcworms/schedframe/scheduling/Executable.java	(revision 1207)
@@ -2,4 +2,5 @@
 
 
+import example.energy.coolemall.CoolEmAllTestbedMeasurements;
 import gridsim.GridSim;
 import gridsim.dcworms.DCWormsTags;
@@ -7,4 +8,5 @@
 import java.util.ArrayList;
 import java.util.HashMap;
+import java.util.LinkedList;
 import java.util.List;
 import java.util.Map;
@@ -14,8 +16,12 @@
 import org.joda.time.DateTimeUtilsExt;
 import org.joda.time.ReadableDuration;
+import org.qcg.broker.schemas.resreqs.ResourceConsumptionProfileType;
+import org.qcg.broker.schemas.resreqs.ResourceConsumptionType;
+import org.qcg.broker.schemas.resreqs.StringParameterType;
 
 import qcg.shared.constants.BrokerConstants;
 
 import schedframe.resources.computing.ComputingResource;
+import schedframe.resources.units.PEUnit;
 import schedframe.resources.units.ProcessingElements;
 import schedframe.resources.units.StandardResourceUnitName;
@@ -30,4 +36,5 @@
 import schedframe.scheduling.tasks.phases.ResourceConsumptionProfile;
 import schedframe.scheduling.tasks.requirements.ResourceParameterName;
+import simulator.stats.implementation.ResourceUsefulWorkStats;
 
 /**
@@ -60,4 +67,6 @@
 	protected double finishTime; 
 	
+	private ResourceConsumptionProfile resourceConsumptionProfile;
+	
 	public Executable(Task t){
 		this.task = t;
@@ -83,4 +92,5 @@
 		this.submissionTime =  currentTime;
         this.totalCompletionTime = 0.0;
+        preparePhases(null);
 	 }
 	
@@ -168,4 +178,5 @@
         
         if(status == DCWormsTags.INEXEC){
+        	loadResourceConsumptionProfile();
         	task.setStatus((int) BrokerConstants.TASK_STATUS_RUNNING);
         } else if(status == DCWormsTags.QUEUED){
@@ -202,11 +213,11 @@
     		for (ComputingResource resource : pes) {
 
-    			trackResource(resource.getName());
+    			trackResource(resource.getFullName());
     			
     			ComputingResource parent = resource.getParent();
 				List<String> visitedResource = getVisitedResources();
 				String [] visitedResourcesArray = visitedResource.toArray(new String[visitedResource.size()]);
-    			while (parent != null && !ArrayUtils.contains(visitedResourcesArray, parent.getName())) {
-    				trackResource(parent.getName());
+    			while (parent != null && !ArrayUtils.contains(visitedResourcesArray, parent.getFullName())) {
+    				trackResource(parent.getFullName());
     				parent = parent.getParent();
     			}
@@ -218,5 +229,5 @@
         		status = DCWormsTags.INEXEC;
         		setCompletionPercentage(0);
-        		task.getResourceConsumptionProfile().setCurrentPhase(task.getResourceConsumptionProfile().getCurrentPhase() + 1);
+        		resourceConsumptionProfile.setCurrentPhase(resourceConsumptionProfile.getCurrentPhase() + 1);
         		
         		DateTime currentDateTime = new DateTime();
@@ -386,9 +397,9 @@
 	
 	public ResourceConsumptionProfile getResourceConsumptionProfile(){
-		return task.getResourceConsumptionProfile();
+		return resourceConsumptionProfile;
 	}
 
 	public ResourceConsumption getCurrentResourceConsumption(){
-		return task.getResourceConsumptionProfile().getCurrentResourceConsumption();
+		return resourceConsumptionProfile.getCurrentResourceConsumption();
 	}
 	
@@ -396,4 +407,89 @@
 		return task.getApplicationName();
 	}
-
+	
+	private void preparePhases(String resourceType) {
+		LinkedList<ResourceConsumption> resourceConsumptionList = new LinkedList<ResourceConsumption>();
+		
+		long usefulWork = -1;
+		
+		if(task.getDescription().getExecution() == null || task.getDescription().getExecution().getResourceConsumptionProfile() == null
+				|| task.getDescription().getExecution().getResourceConsumptionProfile().length == 0 ){
+			ResourceConsumption resConsumption = null;
+			try {
+				resConsumption = new ResourceConsumption(getLength(), task.getComputingResourceRequirements());
+			} catch (NoSuchFieldException e) {
+				// TODO Auto-generated catch block
+				e.printStackTrace();
+			}
+			resourceConsumptionList.add(resConsumption);
+		}else{
+			boolean found = false;
+			if(resourceType != null){
+				for(ResourceConsumptionProfileType resConsumptioProfile: task.getDescription().getExecution().getResourceConsumptionProfile()){
+					if(resConsumptioProfile.getType() != null && resConsumptioProfile.getType().equals(resourceType)){
+						for(ResourceConsumptionType resConsumption: resConsumptioProfile.getResourceConsumption()){
+							ResourceConsumption resourceConsumption = new ResourceConsumption(resConsumption);
+							resourceConsumptionList.add(resourceConsumption);
+						}
+						for(StringParameterType prop: resConsumptioProfile.getProperties()){
+							if(prop.getName().equals("usefulWork")){
+								usefulWork = Double.valueOf(prop.getContent()).longValue();
+								break;
+							}
+						}
+						found = true;
+						break;
+					}
+				}	
+			}			
+			if(!found){
+				for(ResourceConsumptionType resConsumption: task.getDescription().getExecution().getResourceConsumptionProfile()[0].getResourceConsumption()){
+					ResourceConsumption resourceConsumption = new ResourceConsumption(resConsumption);
+					resourceConsumptionList.add(resourceConsumption);
+				}
+				
+				for(StringParameterType prop: task.getDescription().getExecution().getResourceConsumptionProfile()[0].getProperties()){
+					if(prop.getName().equals("usefulWork")){
+						usefulWork = Double.valueOf(prop.getContent()).longValue();
+						break;
+					}
+				}
+			}
+		}
+		
+		usefulWork = (usefulWork != -1) ? usefulWork : this.getLength();
+		this.resourceConsumptionProfile = new ResourceConsumptionProfile(resourceConsumptionList);
+		this.resourceConsumptionProfile.setUsefulWork(usefulWork);
+
+	}
+
+	private boolean loadResourceConsumptionProfile(){
+
+		PEUnit peUnit = (PEUnit)getUsedResources().getLast().getResourceUnits()
+				.get(StandardResourceUnitName.PE);
+		if(peUnit instanceof ProcessingElements){
+			ProcessingElements pes = (ProcessingElements) peUnit;
+			for (ComputingResource resource : pes) {
+				while(resource != null && resource.getResourceCharacteristic().getParameters().get("product") == null){
+					resource = resource.getParent();
+				}
+				if(resource != null) {
+					String productName = resource.getResourceCharacteristic().getParameters().get("product").get(0).getContent();
+					if(productName.equals("Fusion G - T40N"))
+						preparePhases("amdf");
+					else if(productName.equals("Atom - D510"))
+						preparePhases("atom64");
+					else if(productName.equals("Atom - N2600"))
+						preparePhases("atom64");
+					else if(productName.equals("Core i7 - 2715QE"))
+						preparePhases("i7-2715QE");
+					else if(productName.equals("Core i7 - 3615QE"))
+						preparePhases("i7-3615QE");
+				}
+				return true;
+			}
+		}
+		return false;
+		
+	}
 }
Index: DCWoRMS/branches/coolemall/src/dcworms/schedframe/scheduling/ExecTask.java
===================================================================
--- DCWoRMS/branches/coolemall/src/dcworms/schedframe/scheduling/ExecTask.java	(revision 1191)
+++ DCWoRMS/branches/coolemall/src/dcworms/schedframe/scheduling/ExecTask.java	(revision 1207)
@@ -5,4 +5,5 @@
 import schedframe.scheduling.tasks.TaskInterface;
 import schedframe.scheduling.tasks.phases.ResourceConsumption;
+import schedframe.scheduling.tasks.phases.ResourceConsumptionProfile;
 import schedframe.scheduling.tasks.requirements.ResourceParameterName;
 
@@ -15,4 +16,5 @@
 	public List<String> getVisitedResources();
 	
+	public ResourceConsumptionProfile getResourceConsumptionProfile();
 	public ResourceConsumption getCurrentResourceConsumption();
 }
Index: DCWoRMS/branches/coolemall/src/simulator/DCWormsUsers.java
===================================================================
--- DCWoRMS/branches/coolemall/src/simulator/DCWormsUsers.java	(revision 1160)
+++ DCWoRMS/branches/coolemall/src/simulator/DCWormsUsers.java	(revision 1207)
@@ -22,7 +22,4 @@
 import org.apache.commons.logging.LogFactory;
 import org.joda.time.DateTime;
-import org.qcg.broker.schemas.jobdesc.ParentType;
-import org.qcg.broker.schemas.jobdesc.Workflow;
-import org.qcg.broker.schemas.jobdesc.types.TaskStatesName;
 
 import qcg.shared.constants.BrokerConstants;
@@ -244,5 +241,4 @@
 			
 		}
-		System.out.println("finished sending jobs");
 	}
 	
Index: DCWoRMS/branches/coolemall/src/simulator/utils/XsltTransformations.java
===================================================================
--- DCWoRMS/branches/coolemall/src/simulator/utils/XsltTransformations.java	(revision 1131)
+++ DCWoRMS/branches/coolemall/src/simulator/utils/XsltTransformations.java	(revision 1207)
@@ -19,4 +19,5 @@
 import javax.xml.xpath.XPathExpressionException;
 
+import dcworms.schedframe.scheduling.utils.ApplicationProfileDescription;
 import dcworms.schedframe.scheduling.utils.JobDescription;
 import dcworms.schedframe.scheduling.utils.TaskDescription;
@@ -35,5 +36,6 @@
 		String value = 
 			//"org.apache.xalan.xsltc.trax.TransformerFactoryImpl";
-			"org.apache.xalan.processor.TransformerFactoryImpl";
+			//"org.apache.xalan.processor.TransformerFactoryImpl";
+			"net.sf.saxon.TransformerFactoryImpl";
 		Properties props = System.getProperties();
 		props.put(key, value);
@@ -191,4 +193,9 @@
 	}
 	
+	public ApplicationProfileDescription getApplicationProfileDescription(String xmlJob){
+		ApplicationProfileDescription appProfDesc = new  ApplicationProfileDescription(xmlJob);
+		return appProfDesc;
+	}
+	
 	public String extractJobId(String job){
 		Transformer t = null;
Index: DCWoRMS/branches/coolemall/src/simulator/reader/EnvironmentWrapper.java
===================================================================
--- DCWoRMS/branches/coolemall/src/simulator/reader/EnvironmentWrapper.java	(revision 477)
+++ DCWoRMS/branches/coolemall/src/simulator/reader/EnvironmentWrapper.java	(revision 1207)
@@ -18,5 +18,5 @@
 public class EnvironmentWrapper {
 
-	Environment environment;
+	private Environment environment;
 
 	public void wrap(Environment environment) {
@@ -53,6 +53,4 @@
 	public ComputingResource[] getComputingResources() throws UnknownParameter{
 		
-		ArrayList<ComputingResource>tab = null;
-		
 		if(environment == null)
 			throw new UnknownParameter("Environment parameters are not defined.");
@@ -61,14 +59,14 @@
 			return null;
 		
-		tab = new ArrayList<ComputingResource>();
+		ArrayList<ComputingResource> computingResources = new ArrayList<ComputingResource>();
 		 
 		for(int i = 0; i < resources.getComputingResourceCount(); i++){
 			ComputingResource compRes = resources.getComputingResource(i);
-			tab.add(compRes);
+			computingResources.add(compRes);
 		}
-		if(tab.size() == 0)
+		if(computingResources.size() == 0)
 			return null;
 		else
-			return tab.toArray(new ComputingResource[0]);
+			return computingResources.toArray(new ComputingResource[0]);
 	}
 	
Index: DCWoRMS/branches/coolemall/src/simulator/reader/ResourceReader.java
===================================================================
--- DCWoRMS/branches/coolemall/src/simulator/reader/ResourceReader.java	(revision 1042)
+++ DCWoRMS/branches/coolemall/src/simulator/reader/ResourceReader.java	(revision 1207)
@@ -1,5 +1,3 @@
 package simulator.reader;
-
-import gridsim.ResourceCalendar;
 
 import java.io.File;
@@ -19,4 +17,5 @@
 import java.util.Set;
 
+import org.apache.commons.io.FilenameUtils;
 import org.exolab.castor.xml.MarshalException;
 import org.exolab.castor.xml.ValidationException;
@@ -26,12 +25,14 @@
 import schedframe.Parameter;
 import schedframe.Parameters;
-import schedframe.ResourceController;
+import schedframe.SimulatedEnvironment;
 import schedframe.exceptions.ResourceException;
+import schedframe.resources.CoolEmAllResourceFactory;
 import schedframe.resources.Resource;
 import schedframe.resources.StandardResourceType;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.ResourceFactory;
-import schedframe.resources.computing.description.AbstractResourceDescription;
+import schedframe.resources.computing.StandardResourceFactory;
 import schedframe.resources.computing.description.ComputingResourceDescription;
+import schedframe.resources.computing.description.ResourceDescription;
 import schedframe.resources.units.ResourceUnit;
 import schedframe.resources.units.ResourceUnitName;
@@ -45,41 +46,55 @@
 import schemas.ManagedComputingResources;
 import schemas.StringValueWithUnit;
-import simulator.ConfigurationOptions;
+import simulator.DataCenterWorkloadSimulator;
 import simulator.utils.InstanceFactory;
+import test.DEBBTranslator.src.PLMXMLTranslator;
 
 public class ResourceReader {
 	
 	private static String COOLEMALL_RESDESC_PREFIX = "DCWORMS";
-	protected String resDescFileName;
-
-	protected ResourceCalendar resourceCalendar;
-	protected List<Initializable> toInit = new ArrayList<Initializable>();
-	
+	private String resDescFileName;
+	private ResourceFactory resFactory;
+		
 	private ExecutionTimeEstimationPlugin execTimeEstimationPlugin;
-	private String globalSchedulingPluginName;
 	
 	private Set<String> compResLayers;
-	
-	public ResourceReader(ConfigurationOptions options) throws IOException {
-
-		resDescFileName = options.resdescFileName;
-		globalSchedulingPluginName = "example.globalplugin.GridFCFSRoundRobinPlugin";
-		prepareCalendar();
-		compResLayers = new LinkedHashSet<String>();
-	}
-
-	public ResourceController read() throws MarshalException, ValidationException, FileNotFoundException, Exception,
+	private List<Initializable> toInit;
+	
+	public ResourceReader(String resdescFileName) throws IOException {
+
+		this.resDescFileName = resdescFileName;
+		this.resFactory = new StandardResourceFactory();
+		this.compResLayers = new LinkedHashSet<String>();
+		this.toInit = new ArrayList<Initializable>();
+	}
+
+	public SimulatedEnvironment read() throws MarshalException, ValidationException, FileNotFoundException, Exception,
 			UnknownParameter {
 
 		File file = new File(resDescFileName);
-		
-		Environment env;
+
+		Environment env = null;
 		try{
 			env = Environment.unmarshal(new FileReader(file));
+			
 		} catch (Exception e){	
-			File dcwormsFile = new File(file.getParent() + "/" + COOLEMALL_RESDESC_PREFIX + "_" + file.getName());
-			env = Environment.unmarshal(new FileReader(dcwormsFile));
-		}
-		
+			//e.printStackTrace();
+			try{
+				File dcwormsFile = new File(FilenameUtils.getFullPath(file.getAbsolutePath()) + COOLEMALL_RESDESC_PREFIX + "_" + file.getName());
+				env = Environment.unmarshal(new FileReader(dcwormsFile));
+			} catch (Exception e2){
+				PLMXMLTranslator plmxmlTranslator = new PLMXMLTranslator();
+				String trasnlatedFileName = plmxmlTranslator.translate(new String[]{file.getAbsolutePath()});
+				File dcwormsFile = new File(trasnlatedFileName);			
+				//File dcwormsFile = new File(FilenameUtils.getFullPath(file.getAbsolutePath()) + COOLEMALL_RESDESC_PREFIX + "_" + file.getName());
+
+				env = Environment.unmarshal(new FileReader(dcwormsFile));
+			}
+		}
+		
+		if(env.getResources().getMode().equals("CoolEmAll")){
+			DataCenterWorkloadSimulator.MODE = "CoolEmAll";
+			resFactory = new CoolEmAllResourceFactory();
+		}
 		System.out.println("started creating environment description");
 		List<ComputingResourceDescription> mainCompResDescList = createEnvironmentDescription(env);
@@ -94,9 +109,9 @@
 		System.out.println("finished creating schedulers");
 
-		ResourceController rc = new ResourceController(mainScheduler, computingResources);
+		SimulatedEnvironment simEnv = new SimulatedEnvironment(mainScheduler, computingResources);
 		Collections.sort(toInit, new ResourceTypeComparator(new ArrayList<String>(compResLayers)));
-		rc.setInitList(toInit);
-		rc.setCompResLayers(compResLayers);
-		return rc;
+		simEnv.setInitList(toInit);
+		simEnv.setCompResLayers(compResLayers);
+		return simEnv;
 	}
 
@@ -181,5 +196,5 @@
 		
 		for(ComputingResourceDescription mainExecResDes : mainCompResDesList){
-			ComputingResource mainResource = ResourceFactory.createResource(mainExecResDes);
+			ComputingResource mainResource = resFactory.createComputingResource(mainExecResDes);
 			toExamine.push(mainExecResDes);
 			resStructure.push(mainResource);
@@ -192,5 +207,5 @@
 			toInit.add(parentResource);
 			compResLayers.add(parentResource.getType().getName());
-			List<AbstractResourceDescription> childrenResDesc = parentResDesc.getChildren();
+			List<ResourceDescription> childrenResDesc = parentResDesc.getChildren();
 			if (childrenResDesc == null){
 				continue;
@@ -200,5 +215,5 @@
 				ComputingResourceDescription compResDesc = (ComputingResourceDescription) childrenResDesc.get(i);
 				toExamine.push(compResDesc);
-				ComputingResource resource = ResourceFactory.createResource(compResDesc);
+				ComputingResource resource = resFactory.createComputingResource(compResDesc);
 				parentResource.addChild(resource);
 				resStructure.push(resource);
@@ -254,17 +269,5 @@
 		}
 		else{
-			SchedulingPlugin schedulingPlugin = (SchedulingPlugin) InstanceFactory.createInstance(globalSchedulingPluginName,
-					SchedulingPlugin.class);
-			TaskQueueList queues = new TaskQueueList(1);
-			TaskQueue queue = new TaskQueue(false);
-			queues.add(queue);
-			ManagedResources managedResources = new ManagedResources(mainCompResourceList, new HashMap<ResourceUnitName, List<ResourceUnit>>());
-			mainScheduler = ResourceFactory.createScheduler(StandardResourceType.GS, "grid", schedulingPlugin , execTimeEstimationPlugin,  queues, managedResources);
-
-			for(Scheduler lr: mainSchedulers){
-				mainScheduler.addChild(lr);
-			}
-			//necessary if children list isn't initialized in Scheduler
-			//mainScheduler.init();
+			throw new Exception("Worng schedule definition");
 		}
 		return mainScheduler;
@@ -332,7 +335,7 @@
 		//TODO - refactor (create scheduler in 1 line)
 		if(schedulerDef.getClazz().equals("GridBroker")){
-			scheduler = ResourceFactory.createScheduler(StandardResourceType.GS, "grid", schedulingPlugin, execTimeEstimationPlugin, queues, managedResources);
+			scheduler = resFactory.createScheduler(StandardResourceType.GS, "grid", schedulingPlugin, execTimeEstimationPlugin, queues, managedResources);
 		} else {
-			scheduler = ResourceFactory.createScheduler(StandardResourceType.LS, schedulerDef.getName(), schedulingPlugin, execTimeEstimationPlugin,  queues, managedResources);
+			scheduler = resFactory.createScheduler(StandardResourceType.LS, schedulerDef.getName(), schedulingPlugin, execTimeEstimationPlugin,  queues, managedResources);
 		}
 		return scheduler;
@@ -374,5 +377,5 @@
 				ComputingResource computingResource;
 				try {
-					if(resourceName.equals(mainCompRes.getName()))
+					if(mainCompRes.getFullName().contains(resourceName))
 						computingResource = mainCompRes;
 					else
@@ -421,22 +424,5 @@
 		return resourceUnits;
 	}
-	
-	private void prepareCalendar() {
-		long seed = 11L * 13L * 17L * 19L * 23L + 1L;
-		double timeZone = 0.0;
-		double peakLoad = 0.0; // the resource load during peak hour
-		double offPeakLoad = 0.0; // the resource load during off-peak hr
-		double holidayLoad = 0.0; // the resource load during holiday
-
-		// incorporates weekends so the grid resource is on 7 days a week
-		LinkedList<Integer> Weekends = new LinkedList<Integer>();
-		Weekends.add(java.util.Calendar.SATURDAY);
-		Weekends.add(java.util.Calendar.SUNDAY);
-
-		// incorporates holidays. However, no holidays are set in this example
-		LinkedList<Integer> Holidays = new LinkedList<Integer>();
-		resourceCalendar = new ResourceCalendar(timeZone, peakLoad, offPeakLoad, holidayLoad, Weekends, Holidays,
-				seed);
-	}
+
 	
 	class ResourceTypeComparator implements Comparator<Initializable>{
Index: DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/swf/QcgSWFJobReader.java
===================================================================
--- DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/swf/QcgSWFJobReader.java	(revision 1202)
+++ DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/swf/QcgSWFJobReader.java	(revision 1207)
@@ -221,5 +221,5 @@
 					
 				case SWFFields.DATA_EXECUTABLE_NUMBER:
-					String pathToAppProfile = waParser.getAppMapping().get(String.valueOf(value));
+					String pathToAppProfile = waParser.getAppProfilesLocation().get(String.valueOf(value));
 					String appName = null;
 					if(pathToAppProfile == null){
Index: DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/QcgWAJobReader.java
===================================================================
--- DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/QcgWAJobReader.java	(revision 1163)
+++ DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/QcgWAJobReader.java	(revision 1207)
@@ -15,9 +15,11 @@
 
 import simulator.workload.reader.archive.swf.SWFFields;
+
+import org.qcg.broker.schemas.jobdesc.FileType;
 import org.qcg.broker.schemas.jobdesc.ResourceConsumptionProfileType;
 import org.qcg.broker.schemas.jobdesc.Task;
 import org.qcg.broker.schemas.jobdesc.Workflow;
 
-import dcworms.schedframe.scheduling.utils.JobDescription;
+import dcworms.schedframe.scheduling.utils.ApplicationProfileDescription;
 
 /**
@@ -116,5 +118,5 @@
 	}
 
-	public String mergeSwfAndXmlProfile(Map<String, JobDescription> applicationProfilesMap, String swfJobDesc) throws IOException{
+	public String mergeSwfAndAppProfile(Map<String, ApplicationProfileDescription> applicationProfiles, String swfJobDesc) throws IOException{
 		
 		StringReader reader = new StringReader(swfJobDesc);
@@ -132,12 +134,13 @@
 		for(int i = 0; i < job.getTaskCount(); i++){
 			try {
-				JobDescription xmlJobDescription = applicationProfilesMap.get(job.getTask(i).getExecution().getExecutable().getApplication().getAppProperty(0).getContent());
-				if(xmlJobDescription != null){
-					for(int j = 0; j < xmlJobDescription.size(); j++){
-						Task patternTask = xmlJobDescription.getDescription().getTask(j);
-						if(patternTask != null){
-							ResourceConsumptionProfileType rcp = patternTask.getExecution().getResourceConsumptionProfile();
-							job.getTask(j).getExecution().setResourceConsumptionProfile(rcp);
-						}
+				ApplicationProfileDescription appProfileDescription = applicationProfiles.get(job.getTask(i).getExecution().getExecutable().getApplication().getAppProperty(0).getContent());
+				if(appProfileDescription != null){
+					Task patternTask = appProfileDescription.getDescription();
+					if(patternTask != null){
+						ResourceConsumptionProfileType[] rcp = patternTask.getExecution().getResourceConsumptionProfile();
+						job.getTask(i).getExecution().setResourceConsumptionProfile(rcp);
+						FileType script = new FileType();
+						script.setName(patternTask.getId());
+						job.getTask(i).getExecution().addStdin(script);
 					}
 				}	
Index: DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/WAParser.java
===================================================================
--- DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/WAParser.java	(revision 1144)
+++ DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/WAParser.java	(revision 1207)
@@ -45,4 +45,4 @@
 	public int getType();
 	
-	public Map<String, String> getAppMapping();
+	public Map<String, String> getAppProfilesLocation();
 }
Index: DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/AbstractWAParser.java
===================================================================
--- DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/AbstractWAParser.java	(revision 1144)
+++ DCWoRMS/branches/coolemall/src/simulator/workload/reader/archive/AbstractWAParser.java	(revision 1207)
@@ -33,5 +33,5 @@
 	protected HashMap<String, String> reverseIdMapping; // key - xmlJobId_xmlTaskId, value - swf job id
 	protected HashMap<String, Long> jobIndex;
-	protected HashMap<String, String> appMapping;
+	protected HashMap<String, String> appProfilesLocation;
 	protected String fields[];
 	protected int fieldsNo;
@@ -46,8 +46,9 @@
 		this.reverseIdMapping = new HashMap<String, String>();
 		this.jobIndex = new HashMap<String, Long>();
-		this.appMapping = new HashMap<String, String>();
+		this.appProfilesLocation = new HashMap<String, String>();
 		this.headerLoaded = false;
 		this.buildIndex = true;
 		this.fieldsNo = 18;
+		
 	}
 
@@ -152,5 +153,5 @@
 				String appId = valueData[0];
 				String pathToAppProfile = valueData[1];
-				appMapping.put(appId, pathToAppProfile);
+				appProfilesLocation.put(appId, pathToAppProfile);
 				continue;
 			}
@@ -296,6 +297,6 @@
 	
 	
-	public Map<String, String> getAppMapping() {
-		return appMapping;
+	public Map<String, String> getAppProfilesLocation() {
+		return appProfilesLocation;
 	}
 	
